<!doctype html >
<html lang="en" xmlns:th="http://thymeleaf.org">
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>LIST WEBINAR</title>


<!-- Bootstrap CSS -->

<head>
  <link rel="stylesheet" th:href="@{/css/sidebar.css}">
  <link href='https://unpkg.com/boxicons@2.0.7/css/boxicons.min.css' rel='stylesheet'>
  <link rel="stylesheet" th:href="@{/css/list-history-pembayaran-webinar.css}">
  <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
  <link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet'>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css">

</head>
<body>
<div th:replace="fragments/fragment.html :: side-bar-dokter" />
<section class="content-sidebar-section">
    <div class="text">Payment History</div>
    <br>
    <br>
    <!-- Section Dropdown Status-->
    <form>
        <div class="form-group">
            <div class="dropdown">
                <select class="form-control btn btn-outline-secondary dropdown-toggle" name="status" id="statusDropdown" onchange="statusChange()" style="width: 230px; height: 48px;  margin: 0px">
                    <option th:selected="${filterStatus == ''}" value="">All</option>
                    <option th:selected="${filterStatus == 'paid'}" value="paid">Paid</option>
                    <option th:selected="${filterStatus == 'waiting for payment'}" value="waiting for payment">Waiting for Payment</option>
                    <option th:selected="${filterStatus == 'failed'}" value="failed">Failed</option>
                    <option th:selected="${filterStatus == 'challenge'}" value="challenge">Challenge</option>
                </select>
            </div>
        </div>
    </form>

  <div th:each="transaksi, iterationStatus : ${listTransaksi}" class="card-history-pembayaran">
    <!--    <a class="back-button" th:href="@{/admin/dashboard/list-request-penyelenggara}"><i class="fa fa-arrow-left"></i></a>-->
<!--    <main>-->
        <div  class="history-pembayaran-wrapper-content">
            <!-- TODO: Fecth di bagian ini-->
            <div class="title-webinar" th:text="*{listSeminar[__${iterationStatus.index}__].title}"></div>
            <div class="price-webinar-content">
                <div class="price-webinar" style="margin-right: 4px">Price: </div>
                <div class="price-webinar format-harga" th:text="*{listSeminar[__${iterationStatus.index}__].harga}"></div>
            </div>

            <div class="bot-section">
                <div class="status-webinar-content">
                    <div class="status-webinar" style="margin-right: 4px">Status: </div>
                    <div class="status-webinar" style="color: #F67280; font-weight: 700" th:text="${transaksi.statusTransaksi}"></div>
                </div>

                <div class="section-button">
                  <div class="bayar-button">
                    <a th:if="${transaksi.statusTransaksi == 'waiting for payment'}" class="button-primary mx-auto" th:href="@{/seminars/}  + ${listSeminar[__${iterationStatus.index}__].seminarId}">Pay</a>                  </div>
                  <div class="detail-button">
                    <a th:unless="${transaksi.statusTransaksi == 'waiting for payment'}" class="button-secondary" th:href="@{/dokter/dashboard/transactions/} + ${transaksi.transaksiId}">Detail</a>
                  </div>
                </div>
            </div>
        </div>


<!--    </main>-->
  </div>
</section>

<script>
  let sidebar = document.querySelector(".sidebar");
  let closeBtn = document.querySelector("#btn");

  closeBtn.addEventListener("click", ()=>{
    sidebar.classList.toggle("open");
    console.log("Button clicked!"); //tambahkan console log
    console.log(sidebar.classList);
    menuBtnChange();//calling the function(optional)
  });

  // following are the code to change sidebar button(optional)
  function menuBtnChange() {
    if(sidebar.classList.contains("open")){
      closeBtn.classList.replace("bx-menu", "bx-menu-alt-right");//replacing the icons class
    }else {
      closeBtn.classList.replace("bx-menu-alt-right","bx-menu");//replacing the icons class
    }
  }

  function statusChange() {
      let dropDown = document.getElementById("statusDropdown");
      if (dropDown.value === '') {
          window.location.href=`/dokter/dashboard/transactions`;
      } else {
          window.location.href=`/dokter/dashboard/transactions?status=${dropDown.value}`;
      }
  }

  function formatHarga(element) {
      element.innerText = Number(element.innerText).toLocaleString("id-ID", { style: 'currency', currency: 'IDR', currencyDisplay: 'symbol' }).replace(/\s/g, '');;
  }
  let hargaElements = document.getElementsByClassName("format-harga")
  for (var i = 0; i < hargaElements.length; i++) {
      formatHarga(hargaElements[i]);
  }
</script>
</body>

</html>